// Main layout
body {
  background-color: $dark-background !important;
  color: $primary-white !important;
  font-family: "Ovo-Regular", serif;
  display: flex;
  flex-direction: column;
  font-size: 1.2rem;

  // Disable vertical line (caret) | on text
  caret-color: transparent;

  h4 {
    font-size: 2rem;
    margin-top: 25px;
    margin-bottom: 50px;
  }
}

#root {
  background-image: url("assets/images/backgrounds/background-bdo.png");
  background-position: center bottom !important;
  background-repeat: repeat-x;
}

html, body {
  height: 100%;
}

label {
  display: block;
  margin-top: 10px;
}

// Makes the text red
.red-text {
  color: $error-color;
}

// Main Wrapper
.wrapper {
  width: 90%;
  max-width: 1280px;
  margin: 0 auto;
  flex: 1 0 auto;
  min-height: calc(100vh - 295px);
}

// Footer
footer {
  background-color: $medium-dark-grey;
  clear: both;
  flex-shrink: 0;
  position: relative;
  margin-top: 50px;
  padding: 25px;
  min-height: 50px;
  display: flex;

  .grid-container-3 {
    @media (max-width: 767.98px) {
      display: flex;
      flex-direction: column;
    }
    width: 100%;

    .col1 {
      &:nth-child(1) {
        @media (max-width: 767.98px) {
          text-align: center;
          order: 2;
        }
      }
    }

    .text-center {
      @media (max-width: 767.98px) {
        order: 3;
        margin-top: 40px;
      }
    }

    .text-right {
      @media (max-width: 767.98px) {
        justify-content: center;
        margin-bottom: 40px;
      }
      display: flex;
      justify-content: flex-end;

    }
  }

  .grid-container-4 {
    width: min-content;
  }

  // icon switch on hover
  .envelope:hover .bi-envelope-fill,
  .envelope .bi-envelope-open-fill {
    display: none;
  }

  .envelope:hover .bi-envelope-open-fill {
    display: inline;
  }

  a {
    color: $medium-light-grey;
  }
}

.block-submit {
  margin-top: 50px;
  height: 50%;
  text-align: center;

  .btn-submit-return {
    margin-right: 25px;
  }
}


.page-header-flex {
  display: flex;
  justify-content: center;
}

.page-header-flex-title,
.page-header-flex-icon {
  margin-left: auto;
}


.list-group-item {
  background-color: $secondary-purple !important;
  border: 1px solid $secondary-purple !important;

  img {
    padding-right: 15px;
  }
}

.list-group-item:hover {
  cursor: pointer;
  border: 1px solid $primary-purple !important;
  font-size: 1.3rem;
}

.list-group-horizontal {
  flex-wrap: wrap;

  .list-group-item {
    width: 88px;
  }
}

.container-group-items {
  height: 500px;
  overflow: scroll;
  overflow-x: hidden;
}

.modal-body {
  .block {
    margin-bottom: 0;
  }
}

.modal-content {
  background-color: $secondary-purple;
}

.modal-header,
.modal-footer {
  border: none;

  button {
    border: none !important;
  }
}

.mobile-hidden {
  padding-left: 5px;
  @media (max-width: 991.98px) {
    display: none;
  }
}

// Selection color change
::-moz-selection { /* Code for Firefox */
  color: $primary-white;
  background: $primary-purple;
}

::selection {
  color: $primary-white;
  background: $primary-purple;
}
